Karia
ReferencesOpenapiContact

Update contact

PATCH
/organisation/{orgId}/workspace/{workspaceId}/contact/{contactId}

Update the provided fields for a contact in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
contactId*string
application/json
  1. body
firstName?string
Length2 <= length <= 50
lastName?string
Length2 <= length <= 50
middleNames?string
Lengthlength <= 50
preferredName?string
Length2 <= length <= 50
title?string
Value in"mr""mrs""miss""ms""dr""sir""lady""prof""reverend""other"
dateOfBirth?string|null
relationshipStatus?string
Value in"married""separated""divorced""single""de_facto""widowed""unspecified""other"
residencyStatus?string
Value in"au_citizen""permanent_resident""temporary_resident""student_visa""working_holiday_visa""work_visa""nz_citizen""other"
preferredContactMethods?array<>
description?|null
externalReference?|null
metadata?

Response Body

Successful response

application/json
  1. response
success*boolean
Example Request
curl -X PATCH 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true}